#ifndef _CONFIG_H_
#define _CONFIG_H_

//char *Revision  = ""3945363aa"";
//char *BuildDate = __DATE__;
//char *BuildTime = __TIME__;

#define REVISION  "3945363aa"
#define BUILDDATE __DATE__
#define BUILDTIME __TIME__

#define BITNESS 64

//versions:
#define CLIENT_VERSION_MAJOR 3
#define CLIENT_VERSION_MINOR 7
#define CLIENT_VERSION_PATCH 10

#define CLIENT_COMPATIBLE_STORAGE_MINVERSION_MAJOR 2
#define CLIENT_COMPATIBLE_STORAGE_MINVERSION_MINOR 11
#define CLIENT_COMPATIBLE_STORAGE_MINVERSION_PATCH 0

#define CLIENT_COMPATIBLE_STORAGE_MAXVERSION_MAJOR 3
#define CLIENT_COMPATIBLE_STORAGE_MAXVERSION_MINOR 7
#define CLIENT_COMPATIBLE_STORAGE_MAXVERSION_PATCH 0

#define STORAGE_VERSION_MAJOR 
#define STORAGE_VERSION_MINOR 
#define STORAGE_VERSION_PATCH 

#define STORAGE_COMPATIBLE_CLIENT_MINVERSION_MAJOR 
#define STORAGE_COMPATIBLE_CLIENT_MINVERSION_MINOR 
#define STORAGE_COMPATIBLE_CLIENT_MINVERSION_PATCH 

#define STORAGE_COMPATIBLE_CLIENT_MAXVERSION_MAJOR 
#define STORAGE_COMPATIBLE_CLIENT_MAXVERSION_MINOR 
#define STORAGE_COMPATIBLE_CLIENT_MAXVERSION_PATCH 

/* #undef generate_GSTCore_With_CGAL */
/* #undef generate_client_with_gocad */
/* #undef generate_with_license */
/* #undef generate_postGST */
/* #undef generate_oraGST */
/* #undef generate_mssqlGST */
/* #undef generate_with_postgres */
/* #undef generate_with_oracle */
/* #undef generate_with_mssql */
#define generate_with_GSTR
/* #undef generate_with_memleakdetect */
/* #undef generate_with_timing */
/* #undef generate_tests */
/* #undef GOCAD_2011 */
#define TESTDATA_DIR "C:/Jenkins/workspace/API MVE 2019 Release/gst/test/test_data/"
#define generate_with_GSTR

#ifdef generate_with_license
	#define WITH_LICENSE
#endif

#ifdef generate_postGST
	#define __GST_POSTGRESQL__
#endif

#ifdef generate_oraGST
	#define __GST_ORACLE__
#endif

#ifdef generate_mssqlGST
	#define __GST_MSSQLSERVER__
#endif

#ifdef generate_with_postgres
	#define _CLIENT_WITH_POSTGRES_
#endif

#ifdef generate_with_oracle
	#define _CLIENT_WITH_ORACLE_
#endif

#ifdef generate_with_mssql
	#define _CLIENT_WITH_MSSQL_
#endif

#ifdef generate_with_GSTR
    #define _CLIENT_WITH_GRPC_
#endif

#ifdef generate_with_memleakdetect
	#define DETECT_MEMLEAKS
#endif

#ifdef generate_with_timing
	#define WITH_TIMING
#endif

#ifdef generate_tests
	#define WITH_GST_TESTS
#endif

#ifdef generate_client_with_gocad
	#define _GOCAD
	#define GOCAD_VERSION ""
#endif

#ifdef _RUN_IN_GOCAD
	#ifndef _GOCAD
		#error "Compile with _RUN_IN_GOCAD depends on _GOCAD.\n Set cmake flag generate_client_with_gocad!"
	#endif
#endif

#ifdef DETECT_MEMLEAKS
	#ifdef _WIN32
		#include <vld.h>
	#endif //_WIN32
#endif //DETECT_MEMLEAKS

#endif //_CONFIG_H_
